Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# Outliner Class Reference
[Editor]

Inheritance diagram for Outliner:

## Detailed Description

Used to create, store and maintain list or tree of different special regions.

These can include functions, methods, fields, classes, errors and so on. Works as a filter on input editor stream.

## Public Member Functions
| Outliner (BaseEditor *baseEditor, const Region *searchRegion)
| Creates outliner object, that searches stream for the specified type of region.
OutlineItem * | getItem (int idx)
| Returns reference to item with specified ordinal index in list of currently generated outline items.
int | itemCount ()
| Total number of currently available outline items.
void | startParsing (int lno)
void | endParsing (int lno)
void | clearLine (int lno, String *line)
void | addRegion (int lno, String *line, int sx, int ex, const Region *region)
void | enterScheme (int lno, String *line, int sx, int ex, const Region *region, const Scheme *scheme)
void | leaveScheme (int lno, String *line, int sx, int ex, const Region *region, const Scheme *scheme)
void | modifyEvent (int topLine)
## Static Public Member Functions
static int | manageTree (Vector< int > &treeStack, int newLevel)
| Static service method to make easy tree reconstruction from created list of outline items.
## Protected Member Functions
bool | isOutlined (const Region *region)
## Protected Attributes
BaseEditor * | baseEditor
const Region * | searchRegion
Vector< OutlineItem * > | outline
bool | lineIsEmpty
int | curLevel
int | modifiedLine

## Constructor & Destructor Documentation

Outliner::Outliner | ( | BaseEditor * | baseEditor,
|  | const Region * | searchRegion
| ) |

  | Creates outliner object, that searches stream for the specified type of region. Outliner is deattached on its explicit destruction action. Parameters:
  | baseEditor | Editor to attach this Outliner to.
  | searchRegion | Region type to search in parser's stream

## Member Function Documentation

OutlineItem * Outliner::getItem | ( | int | idx | ) |

| Returns reference to item with specified ordinal index in list of currently generated outline items. Note, that the returned pointer is vaild only between subsequent parser invocations.

int Outliner::manageTree | ( | Vector< int > & | treeStack,
|  | int | newLevel
| ) | `[static]`

  | Static service method to make easy tree reconstruction from created list of outline items. This list contains unpacked level indexed of item's enclosure in scheme. Parameters:
  | treeStack | external Vector of integer, storing temporary tree structure. Must not be changed externally.
  | newLevel | Unpacked level of item to be added into the tree. This index is converted into packed one and returned.
Returns: Packed index of item, which could be used to reconstruct tree of outlined items.

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:13 2006 by doxygen 1.4.6.